## Apache Zeta Components Manual :: Docs For Class ezcImageAnalyzerData

### ImageAnalysis::ezcImageAnalyzerData

### Class ezcImageAnalyzerData

Struct to store the data retrieved from an image analysis.

This class is used as a struct for the data retrieved from an ezcImageAnalyzerHandler. It stores various information about an analyzed image and pre-fills it's attributes with sensible default values, to make the usage as easy as possible.

Ths struct class should not be accessed directly (except form ezcImageAnalyzerHandler classes, where it is created). From a users view it is transparently accessable through ezcImageAnalyzer::$data, more specific using

1. $analyzer=new ezcImageAnalyzer ('myfile.jpg');
2. echo$analyzer->data-> size ;

Source for this file: /ImageAnalysis/src/structs/analyzer_data.php

    ezcBaseStruct
       |
       --ezcImageAnalyzerData

Version: | //autogentag//

### Member Variables

public int | `$colorCount = 0` Number of colors in image.
public string | `$comment = null` First inline comment for the image.
public array(string) | `$commentList = array()` List of inline comments for the image.
public string | `$copyright = null` Copyright text for the image.
public int | `$date` The date when the picture was taken as UNIX timestamp.

public array(string=>string)

`$exif = array()`
EXIF information retrieved from image.

This will only be filled in for images which supports EXIF entries, currently they are:

- image/jpeg
- image/tiff

public bool | `$hasThumbnail = false` Does the image have a thumbnail?
public int | `$height = 0` Height of image in pixels.
public bool | `$isAnimated = false` Is the image animated?
public bool | `$isColor = true` Does the image have colors?
public string | `$mime` Detected MIME type for the image.

public int

`$mode = ezcImageAnalyzerHandler::MODE_TRUECOLOR`
The image mode.

Can be one of:

- ezcImageAnalyzerHandler::MODE_INDEXED - Image is built with a palette and consists of indexed values per pixel.
- ezcImageAnalyzerHandler::MODE_TRUECOLOR - Image consists of RGB value per pixel.

public int | `$size = 0` Size of image file in bytes.

public int

`$transparencyType`
Type of transparency in image.

Can be one of:

- ezcImageAnalyzerHandler::TRANSPARENCY_OPAQUE - No parts of image is transparent.
- ezcImageAnalyzerHandler::TRANSPARENCY_TRANSPARENT - Selected palette entries are completely see-through.
- ezcImageAnalyzerHandler::TRANSPARENCY_TRANSLUCENT - Transparency determined pixel per pixel with a fuzzy value.

public int | `$width = 0` Width of image in pixels.

### Method Summary

public ezcImageAnalyzerData

`__construct( [ $mime = null] , [ $exif = array()] , [ $width = 0] , [ $height = 0] , [ $size = 0] , [ $mode = ezcImageAnalyzerHandler::MODE_TRUECOLOR] , [ $transparencyType = null] , [ $isColor = true] , [ $colorCount = 0] , [ $comment = null] , [ $commentList = array()] , [ $copyright = null] , [ $date = null] , [ $hasThumbnail = false] , [ $isAnimated = false] )`
Create a new instance of ezcImageAnalyzerData.

### Methods

#### __construct

ezcImageAnalyzerData __construct( [string $mime = null] , [array $exif = array()] , [int $width = 0] , [int $height = 0] , [int $size = 0] , [int $mode = ezcImageAnalyzerHandler::MODE_TRUECOLOR] , [int $transparencyType = null] , [bool $isColor = true] , [int $colorCount = 0] , [string $comment = null] , [array $commentList = array()] , [string $copyright = null] , [int $date = null] , [bool $hasThumbnail = false] , [bool $isAnimated = false] )

Create a new instance of ezcImageAnalyzerData.

Create a new instance of ezcImageAnalyzerData to be used with ezcImageAnalyzer objects.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$mime` | string | ezcImageAnalyzerData::$mime
`$exif` | array | ezcImageAnalyzerData::$exif
`$width` | int | ezcImageAnalyzerData::$width
`$height` | int | ezcImageAnalyzerData::$height
`$size` | int | ezcImageAnalyzerData::$size
`$mode` | int | ezcImageAnalyzerData::$mode
`$transparencyType` | int | ezcImageAnalyzerData::$transparencyType
`$isColor` | bool | ezcImageAnalyzerData::$isColor
`$colorCount` | int | ezcImageAnalyzerData::$colorCount
`$comment` | string | ezcImageAnalyzerData::$comment
`$commentList` | array | ezcImageAnalyzerData::$commentList
`$copyright` | string | ezcImageAnalyzerData::$copyright
`$date` | int | ezcImageAnalyzerData::$date
`$hasThumbnail` | bool | ezcImageAnalyzerData::$hasThumbnail
`$isAnimated` | bool | ezcImageAnalyzerData::$isAnimated

Documentation generated by phpDocumentor 1.4.3